# Adding menu navigation links

```php
// Hook for adding a menu item to the desktop view
add_filter( 'desktop_navbar_menu_options', 'add_navigation_links', 35 );

// Hook for adding a menu item to the desktop view
add_filter( 'off_canvas_menu_options', 'add_navigation_links', 35);



function add_navigation_links( $tabs ) {
    //check user permissions
    if ( current_user_can( 'access_' . $this->post_type ) ) {

        $tabs[] = [
            "link" => site_url( "/awesome_page/" ), // the link where the user will be directed when they click
            "label" => __( "Awesome Page", "disciple_tools" )  // the label the user will see
        ];

    }
    return $tabs;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.disciple.tools/theme-core/hooks/menu-hooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
